/**
 * 全局存储
 * @type {{contains: (function(*): boolean), data: {}, get: (function(*): *), put: (function(*, *=): {key: *}), remove: HashMap.remove}}
 */
/**
 * 自定义的Map
 */
export declare class Map<K, V> {
    private data;
    /**
     * 存入键值 如果存在--者不会在存储
     * @param k 键
     * @param v 值
     */
    put(k: K, v: V): V;
    /**
     * 强制存储
     * @param k
     * @param v
     */
    putAndFlush(k: K, v: V): V;
    /**
     * 根据键获取值
     * @param k 键
     */
    get(k: K): V;
    /**
     * 获取并且删除
     * @param k
     */
    getAndRemove(k: K): V;
    remove(k: K): boolean;
    /**
     * 查找键
     * @param k 键
     */
    containsKey(k: K): boolean;
    values(): void;
    /**
     * 过滤
     * @param predicate 条件
     */
    filter(predicate: Function): Map<K, V>;
    /**
     * string方法
     */
    toString(): string;
    /**
     * 获取所有
     */
    getAll(): Map<K, V>;
}
export declare const HashMap: Map<string, object>;
