"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HashMap = exports.Map = void 0;
/**
 * 全局存储
 * @type {{contains: (function(*): boolean), data: {}, get: (function(*): *), put: (function(*, *=): {key: *}), remove: HashMap.remove}}
 */
/**
 * 自定义的Map
 */
class Map {
    constructor() {
        this.data = {};
    }
    /**
     * 存入键值 如果存在--者不会在存储
     * @param k 键
     * @param v 值
     */
    put(k, v) {
        if (this.get(k) != null) {
            return this.get(k);
        }
        // @ts-ignore
        return this.data[k] = v;
    }
    /**
     * 强制存储
     * @param k
     * @param v
     */
    putAndFlush(k, v) {
        // @ts-ignore
        return this.data[k] = v;
    }
    /**
     * 根据键获取值
     * @param k 键
     */
    get(k) {
        // @ts-ignore
        return this.data[k];
    }
    /**
     * 获取并且删除
     * @param k
     */
    getAndRemove(k) {
        // @ts-ignore
        let v = this.data[k];
        this.remove(k);
        return v;
    }
    remove(k) {
        // @ts-ignore
        return delete data[k];
    }
    /**
     * 查找键
     * @param k 键
     */
    containsKey(k) {
        // @ts-ignore
        return this.data[k] != null;
    }
    values() {
    }
    /**
     * 过滤
     * @param predicate 条件
     */
    filter(predicate) {
        // @ts-ignore
        return Object.keys(this.data)
            .filter(key => {
            // @ts-ignore
            return predicate(key, this.get(key));
        })
            .map(key => {
            // @ts-ignore
            return ({ [key]: this.get(key) });
        });
    }
    /**
     * string方法
     */
    toString() {
        return JSON.stringify(this.data);
    }
    /**
     * 获取所有
     */
    getAll() {
        // @ts-ignore
        return this.data;
    }
}
exports.Map = Map;
let data = new Map();
exports.HashMap = data;
