/**
 * 存储
 */
import { AnnotationBean } from "../model/AnnotationModel";
/**
 * 工厂队列所需的相关属性
 */
interface QueueData {
    /**
     * bean相关扩展数据
     */
    annotationBean: AnnotationBean;
    /**
     * 目标对象
     */
    target: Object;
    /**
     * 属性名称
     */
    propertyKey: string;
    /**
     * 扩展属性
     */
    descriptor: PropertyDescriptor;
    type?: Function;
}
/**
 * bean工厂队列
 */
export declare class BeanFactoryQueue {
    /**
     * 添加可执行的队列
     * @param queueData 队列相关数据
     */
    static addQueue(queueData: QueueData): void;
    /**
     * 消费队列信息
     * @param target
     * @param clObj
     */
    static consumeQueue(target: object, clObj: object): void;
}
export {};
