"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringUtil = void 0;
var StringUtil;
(function (StringUtil) {
    /**
     * 判断字符串不为空或者不为空字符
     * @param str 判断的数据
     * @return 是否不为空
     */
    StringUtil.isNotEmpty = (str) => {
        return str != null && str.length > 0;
    };
    /**
     * 判断字符串是否为空或者空字符
     * @param str 判断的数据
     * @return 是否不为空
     */
    StringUtil.isEmpty = (str) => {
        return !StringUtil.isNotEmpty(str);
    };
    /**
     * 判断字符串不为空或者不为空字符（去空格）
     * @param str 判断的数据
     * @return 是否不为空
     */
    StringUtil.isNotBlank = (str) => {
        return str == null ? false : StringUtil.isNotEmpty(str.trim());
    };
    /**
     * 判断字符串是否为空或者空字符（去空格）
     * @param str 判断的数据
     * @return 是否不为空
     */
    StringUtil.isBlank = (str) => {
        return !StringUtil.isNotBlank(str);
    };
    /**
     * 获取http  get参数
     * @param key 键
     */
    StringUtil.getQueryVariable = (key) => {
        let query = window.location.search.substring(1);
        let vars = query.split("&");
        for (let i = 0; i < vars.length; i++) {
            let pair = vars[i].split("=");
            if (pair[0] == key) {
                return pair[1];
            }
        }
        return false;
    };
})(StringUtil = exports.StringUtil || (exports.StringUtil = {}));
